upstream site {
{% for host in groups['site'] %}
    server {{ hostvars[host].host_fqdn }};
{% endfor %}
}

server {
    listen 80 default_server;
    listen [::]:80 default_server;
    server_name {{ host_fqdn }};

    location / {
        proxy_pass http://site;
    }
}
